package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.service.space.SpaceService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/** 智能看板 */
@Slf4j
@RestController
@RequestMapping("/dashboard")
public class DashboardController {


    @Autowired
    private SpaceService spaceService;


    @Autowired
    private CarbonService carbonService;


    /**
     *
     * 楼宇模块
     * */

    @ApiOperation("智能看板-楼宇态势")
    @GetMapping("getBuildingSituation")
    public ReturnMsg getBuildingSituation(){
        return spaceService.getBuildingSituation();
    }



    /**
     *
     * 碳配额
     * */
    @ApiOperation("智能看板-碳配额")
    @GetMapping("getCarbonQuota")
    public ReturnMsg getCarbonQuota(){
        return carbonService.getCarbonQuota();
    }
}
