package com.sky.ioc.controller.life;

import com.sky.ioc.service.fitness.HealthService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author LunCe
 */
@Api("健康小屋")
@Slf4j
@RestController
@RequestMapping("healthhome")
public class HealthHomeController {

    @Autowired
    private HealthService healthService;

    @ApiOperation("查询智慧生活中健康小屋的核心指标")
    @GetMapping("getCoreIndicators")
    public ReturnMsg getCoreIndicators(Integer dateType){
//        dateType   1.周，2.月，3.年
        return healthService.getCoreIndicators(dateType);
    }



    @ApiOperation("查询智慧生活中健康小屋的小屋分析")
    @GetMapping("getHutAnalysis")
    public ReturnMsg  getHutAnalysis(Integer dateType){
//        dateType   1.周，2.月，3.年
        return healthService.getHutAnalysis(dateType);
    }



    @ApiOperation("查询智慧生活中健康小屋的环境监测")
    @GetMapping("getEnvironmentalDetection")
    public ReturnMsg  getEnvironmentalDetection(Integer dateType){
//        dateType   1.周，2.月，3.年
        return healthService.getEnvironmentalDetection(dateType);
    }









}
