package com.sky.ioc.service.personnel.impl;

import com.sky.ioc.entity.result.dashboard.Personnel;
import com.sky.ioc.service.personnel.PersonnelService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @author LunCe
 */


@Service
public class PersonnelServiceImpl implements PersonnelService {

    @Override
    public ReturnMsg personnelInfoCount() {
        List<Map<String,Object>> listMap = new ArrayList<>();
        listMap.get(0).put("info","进入大厦");
        listMap.get(0).put("personnel",1800);
        listMap.get(0).put("rise","0.14%");
        listMap.get(0).put("decline","0.14%");

        listMap.get(1).put("info","离开大厦");
        listMap.get(1).put("personnel",500);
        listMap.get(1).put("rise","0.14%");
        listMap.get(1).put("decline","0.14%");

        listMap.get(2).put("info","九点前进入大厦");
        listMap.get(2).put("personnel",1800);
        listMap.get(2).put("rise","0.14%");
        listMap.get(2).put("decline","0.14%");

        listMap.get(3).put("info","楼内人员数量");
        listMap.get(3).put("personnel",1800);
        listMap.get(3).put("rise","0.14%");
        listMap.get(3).put("decline","0.14%");
        return ReturnMsg.ok(listMap);
    }

    //查询智能看板统计画像的统计人员信息报表
    @Override
    public ReturnMsg getPersonnelInfoList() {
        List<Personnel> list = new ArrayList<>();
        SimpleDateFormat format = new SimpleDateFormat("yyyy/MM/dd");
        Calendar c = Calendar.getInstance();
        c.add(Calendar.MONTH, -5);
        list.add(new Personnel(20, 30, 40, new Date()));
        list.add(new Personnel(16, 191, 118, new Date()));
        list.add(new Personnel(38, 28, 28, new Date()));
        return ReturnMsg.ok(list);
    }

}
